Bug 1907307

Summary: Support and provider labels should be passed on between templates and sources
Product: OpenShift Container Platform Reporter: Rastislav Wagner <rawagner>
Component: Console Kubevirt PluginAssignee: Rastislav Wagner <rawagner>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, eparis, gouyang, ycui, yzamir
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:43:16 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
video shows the Boot Source colume is 'Available' not custom provider 'my company'
none
upload video again none

Description Rastislav Wagner 2020-12-14 08:05:03 UTC
Support and provider labels needs to be passed on to child templates and source so user can identify if the template is supported or by whom the original source was created.

Comment 3 Guohua Ouyang 2021-01-04 02:01:40 UTC
Hi Rastislav´╝î
Could you provide verify steps for this bug?

Thanks,

Comment 4 Rastislav Wagner 2021-01-04 09:37:53 UTC
Steps to verify:

for support labels you need downstream build

1. create new template from supported template (RHEL, Win)
2. in the first step of the wizard specify custom provider and mark the template as supported
3. go to template list view, open details popover
4. you should see Red Hat and custom provider support badges


Base image provider - works on downstream and upstream
1. go to template list page - Add Source - specify custom provider
2. after the source is ready you should see green check mark and custom provider value
3. choose another template - Add Source - Clone PVC - choose PVC from previous template (the one which has provider specified)
4. after choosing the PVC, provider field should be prefilled
5. submit and the source is ready you should again see green check mark and custom provider value

Comment 5 Guohua Ouyang 2021-01-05 00:19:36 UTC
(In reply to Rastislav Wagner from comment #4)
> Steps to verify:
> 
> for support labels you need downstream build
> 
> 1. create new template from supported template (RHEL, Win)
> 2. in the first step of the wizard specify custom provider and mark the
> template as supported
> 3. go to template list view, open details popover
> 4. you should see Red Hat and custom provider support badges
> 

Test PASS.

> 
> Base image provider - works on downstream and upstream
> 1. go to template list page - Add Source - specify custom provider
> 2. after the source is ready you should see green check mark and custom
> provider value

Test PASS here.

> 3. choose another template - Add Source - Clone PVC - choose PVC from
> previous template (the one which has provider specified)
> 4. after choosing the PVC, provider field should be prefilled

Test PASS here.

> 5. submit and the source is ready you should again see green check mark and
> custom provider value

Test FAIL here, when green check mark shows, it's "Available", not the custom provider value.

Comment 6 Ying Cui 2021-01-06 14:49:57 UTC
Rastislav, could you please check the comment #5? For one of fail scenario, if it will not be fixed soon, we will split the failure into new bug and target to next release.

Comment 7 Rastislav Wagner 2021-01-06 15:07:19 UTC
I tried it multiple times, but it always works for me. Can you try again ? Maybe on newer build ?

Comment 8 Guohua Ouyang 2021-01-07 00:33:19 UTC
Created attachment 1745152 [details]
video shows the Boot Source colume is 'Available' not custom provider 'my company'

Comment 9 Guohua Ouyang 2021-01-07 00:36:08 UTC
(In reply to Guohua Ouyang from comment #8)
> Created attachment 1745152 [details]
> video shows the Boot Source colume is 'Available' not custom provider 'my
> company'

On the latest ocp 4.7

Comment 10 Guohua Ouyang 2021-01-07 06:30:57 UTC
Created attachment 1745187 [details]
upload video again

Comment 11 Rastislav Wagner 2021-01-07 08:13:26 UTC
Tried on Guahua's env and It does not work for me either. However it seems like this is an issue with CDI which does not propagate annotations from DataVolume to PVC if the DataVolume source is another PVC (we are doing PVC clone). It works if the source of DV is http/container/upload.

I can workaround this issue by changing the code to read the annotations from DataVolume too.

Comment 12 Rastislav Wagner 2021-01-07 08:25:35 UTC
Note that on the env which does not use Smart clone feature (Guagua's env has it), the annotation propagation from DV to PVC works correctly

Comment 16 errata-xmlrpc 2021-02-24 15:43:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633